Bug 501206 - PulseAudio crashes 'regularly' after 1-2h
PulseAudio crashes 'regularly' after 1-2h
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-17 22:13 EDT by Dimi Paun
Modified: 2009-07-27 19:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 19:12:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pa -vvvvvv output (last part) (1.15 MB, text/plain)
2009-05-20 11:25 EDT, Dimi Paun
no flags Details

  None (edit)
Description Dimi Paun 2009-05-17 22:13:47 EDT
Description of problem:
Pulseaudio crashes regularly (~1-2h), but now it restarts automatically. 
However, it you happen to watch a Flash video with sound, and then experience one of these PA death/restarts, you can no longer quit the browser. The window will close, but the process remains hanged, and trying to restart a different instance will result in a dialog saying that the browser is running already (Firefox) or just nothing (Ephiphany).

Version-Release number of selected component (if applicable):
[root@dimi ~]# rpm -q firefox
firefox-3.5-0.20.beta4.fc11.i586
[root@dimi ~]# rpm -q epiphany
epiphany-2.26.1-2.fc11.i586
[root@dimi ~]# rpm -q pulseaudio
pulseaudio-0.9.15-11.fc11.i586
[root@dimi ~]# rpm -q flash-plugin
flash-plugin-10.0.22.87-release.i386

How reproducible:
Always.
Comment 1 Lennart Poettering 2009-05-18 09:34:46 EDT
(In reply to comment #0)
> Description of problem:
> Pulseaudio crashes regularly (~1-2h), 

It does? Could you please file a bug about that? Get me a backtrace? pulseaudio -vvvv?

You opened a bug that mentions that PA would start repeating itself after 24h runtime. How does that fit with your claim now that PA crashes regularly after 1-2h? How can it start repeating audio playback after 24h if it already crashed after 1-2h?

> but now it restarts automatically. 
> However, it you happen to watch a Flash video with sound, and then experience
> one of these PA death/restarts, you can no longer quit the browser. The window
> will close, but the process remains hanged, and trying to restart a different
> instance will result in a dialog saying that the browser is running already
> (Firefox) or just nothing (Ephiphany).

This is a Flash bug. Flash is closed source software. We cannot fix that. Please file a bug against the vendor's bug tracker.
Comment 2 Dimi Paun 2009-05-18 12:38:14 EDT
Well, I have reported crashes with PA before:
   https://bugzilla.redhat.com/show_bug.cgi?id=438594

I don't know if its the same issue, but I can tell it crashes often because after a crash, I lose sound in Flash, and I have to restart the browser to regain it.

The infinite loop after 24h shows up in Rhythmbox which does reconnect after a PA crash (I checked). So this explains the time differential.

As for this being a Flash bug, I understand. However, I think there is a problem somewhere if Flash behaves likes this. Flash is very important and it will not go away. We always have to find workarounds and compromises to get what we want out of our systems. We don't live in a perfect word. Any problem can be solved with one more level of indirection, and I think this one falls in the same category.
Comment 3 Lennart Poettering 2009-05-18 14:53:19 EDT
That bug is 9 months old or so. Against a different kernel and PA version. And was closed.

Please, if you say that the current PA version exposes a bug like this, then file a bug about this! How do you expect me to fix those issues if you don't tell us about them?

You said that PA would 'regularly' crash after 1-2h. Could you please try to reproduce this for me with debug output enabled?

i.e. after logging in, please open a terminal. Then first issue "pulseaudio -k" which will kill the running instance. Then run "pulseaudio -vvvvvv". This will start a new instance in that terminal and shows its debug output. 

If after 1-2h the issue reapppers then please paste the last few pages of output from that terminal here. Thanks!
Comment 4 Dimi Paun 2009-05-18 15:01:36 EDT
yeah, it's 9 month old, and you closed it despite the fact that PA continued crashing. So I gave up on PA in F8, I put in _untold_ number of hours trying to get it to work. How much time can I spend on this alone? Anyway, it's water under the bridge now.

I'll try to reproduce it and report back. In fact it happened again just before you wrote, but I had to restart Firefox, and start all over again.
Comment 5 Lennart Poettering 2009-05-18 17:14:17 EDT
(In reply to comment #4)
> yeah, it's 9 month old, and you closed it despite the fact that PA continued
> crashing. So I gave up on PA in F8, I put in _untold_ number of hours trying to
> get it to work. How much time can I spend on this alone? Anyway, it's water
> under the bridge now.

If the bug wasn't fixed, why didn't you reopen it back then? I mean, come on! What you wrote there as last commented suggested that the bug was fixed.

> I'll try to reproduce it and report back. In fact it happened again just before
> you wrote, but I had to restart Firefox, and start all over again.
Comment 6 Dimi Paun 2009-05-20 11:25:34 EDT
Created attachment 344829 [details]
pa -vvvvvv output (last part)

This is the output I got from the console (as much as the console buffer allowed), after I've noticed I have no more sound in Flash.
Comment 7 Dimi Paun 2009-05-20 12:36:17 EDT
So, after I lose sound in Firefox, I try to close it and open a new instance. When I do that, I get a dialog saying that an instance is already running.

This is what I get in the console from pa -vvvvvv (when I try to open the new instance):

I: client.c: Created 4 "EsounD client (UNIX socket client)"
I: client.c: Created 5 "Native client (UNIX socket client)"
D: protocol-native.c: Protocol version: remote 15, local 15
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
D: protocol-native.c: SHM possible: yes
D: protocol-native.c: Negotiated SHM: yes
D: module-augment-properties.c: Looking for .desktop file for firefox
I: module-stream-restore.c: Restoring volume for sink input sink-input-by-media-role:event.
I: module-stream-restore.c: Restoring mute state for sink input sink-input-by-media-role:event.
D: reserve-wrap.c: Successfully acquired reservation lock on device 'Audio0'
I: alsa-sink.c: Trying resume...
D: alsa-util.c: Maximum hw buffer size is 23777 ms
D: alsa-sink.c: hwbuf_unused=0
D: alsa-sink.c: setting avail_min=87310
I: alsa-sink.c: Resumed successfully...
I: alsa-sink.c: Starting playback.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_sound_card_0 becomes idle.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_sound_card_0 becomes busy.
D: memblockq.c: memblockq requested: maxlength=33554432, tlength=0, base=4, prebuf=0, minreq=1 maxrewind=0
D: memblockq.c: memblockq sanitized: maxlength=33554432, tlength=33554432, base=4, prebuf=0, minreq=4 maxrewind=0
I: sink-input.c: Created input 2 "dialog-question" on alsa_output.pci_8086_284b_sound_card_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right
I: protocol-native.c: Requested tlength=250.00 ms, minreq=20.00 ms
D: protocol-native.c: Traditional mode enabled, modifying sink usec only for compat with minreq.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: memblockq.c: memblockq requested: maxlength=4194304, tlength=44100, base=4, prebuf=40576, minreq=3528 maxrewind=0
D: memblockq.c: memblockq sanitized: maxlength=4194304, tlength=44100, base=4, prebuf=40576, minreq=3528 maxrewind=0
I: protocol-native.c: Final latency 460.00 ms = 210.00 ms + 2*20.00 ms + 210.00 ms
D: alsa-sink.c: Requested volume: 0:  14% 1:  14%
D: alsa-sink.c: Got hardware volume: 0:  35% 1:  35%
D: alsa-sink.c: Calculated software volume: 0:  79% 1:  79%
D: core-subscribe.c: Dropped redundant event due to change event.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Latency set to 210.00ms
D: alsa-sink.c: hwbuf_unused=315724
D: alsa-sink.c: setting avail_min=87311
D: alsa-sink.c: Requesting rewind due to latency change.
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 348600 bytes.
D: alsa-sink.c: before: 87150
D: alsa-sink.c: after: 87150
D: alsa-sink.c: Rewound 348600 bytes.
D: sink.c: Processing rewind...
D: sink-input.c: Have to rewind 348600 bytes on render memblockq.
D: source.c: Processing rewind...
D: core-subscribe.c: Dropped redundant event due to change event.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-esound.c: read(): EOF
I: client.c: Freed 4 "EsounD client (UNIX socket client)"
I: client.c: Created 6 "Native client (UNIX socket client)"
D: protocol-native.c: Protocol version: remote 15, local 15
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
D: protocol-native.c: SHM possible: yes
D: protocol-native.c: Negotiated SHM: yes
D: module-augment-properties.c: Looking for .desktop file for firefox
D: protocol-native.c: Underrun on 'dialog-question', 0 bytes in queue.
D: alsa-sink.c: Requested volume: 0: 100% 1: 100%
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100%
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100%
D: alsa-sink.c: hwbuf_unused=0
D: alsa-sink.c: setting avail_min=87310
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 33292 bytes.
D: alsa-sink.c: before: 8323
D: alsa-sink.c: after: 8323
D: alsa-sink.c: Rewound 33292 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_sound_card_0 becomes idle.
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_sound_card_0 becomes idle.
D: core-subscribe.c: Dropped redundant event due to change event.
D: core.c: Hmm, no streams around, trying to vacuum.
I: sink-input.c: Freeing input 2 "dialog-question"
I: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_sound_card_0 idle for too long, suspending ...
I: alsa-sink.c: Device suspended...
Comment 8 Dimi Paun 2009-05-20 12:36:57 EDT
And this is what I get when I dismiss the dialog saying there is another instance running:

D: core-scache.c: Playing sample "window-close" on "alsa_output.pci_8086_284b_sound_card_0"
D: memblockq.c: memblockq requested: maxlength=54526, tlength=0, base=2, prebuf=1, minreq=1 maxrewind=0
D: memblockq.c: memblockq sanitized: maxlength=54526, tlength=54526, base=2, prebuf=2, minreq=2 maxrewind=0
I: module-stream-restore.c: Restoring volume for sink input sink-input-by-media-role:event.
I: module-stream-restore.c: Restoring mute state for sink input sink-input-by-media-role:event.
D: reserve-wrap.c: Successfully acquired reservation lock on device 'Audio0'
I: alsa-sink.c: Trying resume...
D: alsa-util.c: Maximum hw buffer size is 23777 ms
D: alsa-sink.c: hwbuf_unused=0
D: alsa-sink.c: setting avail_min=87310
I: alsa-sink.c: Resumed successfully...
I: alsa-sink.c: Starting playback.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_sound_card_0 becomes idle.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_sound_card_0 becomes busy.
I: resampler.c: Forcing resampler 'copy', because of fixed, identical sample rates.
D: resampler.c: Channel matrix:
D: resampler.c:        I00 
D: resampler.c:     +------
D: resampler.c: O00 | 1.000
D: resampler.c: O01 | 1.000
I: resampler.c: Using resampler 'copy'
I: resampler.c: Using s16le as working format.
D: memblockq.c: memblockq requested: maxlength=33554432, tlength=0, base=4, prebuf=0, minreq=1 maxrewind=0
D: memblockq.c: memblockq sanitized: maxlength=33554432, tlength=33554432, base=4, prebuf=0, minreq=4 maxrewind=0
I: sink-input.c: Created input 5 "window-close" on alsa_output.pci_8086_284b_sound_card_0 with sample spec s16le 1ch 44100Hz and channel map mono
D: core-util.c: posix_madvise() worked fine!
D: alsa-sink.c: Requested volume: 0:  14% 1:  14%
D: alsa-sink.c: Got hardware volume: 0:  35% 1:  35%
D: alsa-sink.c: Calculated software volume: 0:  79% 1:  79%
D: core-subscribe.c: Dropped redundant event due to change event.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 348952 bytes.
D: alsa-sink.c: before: 87238
D: alsa-sink.c: after: 87238
D: alsa-sink.c: Rewound 348952 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
D: core-subscribe.c: Dropped redundant event due to change event.
I: client.c: Freed 6 "libcanberra"
I: protocol-native.c: Connection died.
I: client.c: Freed 5 "libcanberra"
I: protocol-native.c: Connection died.
D: alsa-sink.c: Requested volume: 0: 100% 1: 100%
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100%
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100%
D: alsa-sink.c: hwbuf_unused=0
D: alsa-sink.c: setting avail_min=87310
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 349144 bytes.
D: alsa-sink.c: before: 87286
D: alsa-sink.c: after: 87286
D: alsa-sink.c: Rewound 349144 bytes.
D: sink.c: Processing rewind...
D: source.c: Processing rewind...
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_sound_card_0 becomes idle.
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_sound_card_0 becomes idle.
D: core-subscribe.c: Dropped redundant event due to change event.
D: core.c: Hmm, no streams around, trying to vacuum.
I: sink-input.c: Freeing input 5 "window-close"
Comment 9 Dimi Paun 2009-05-20 12:42:36 EDT
I kill the hung instance, and I start (successfully) a new instance of Firefox. I get his in the PA console:

I: client.c: Created 10 "Native client (UNIX socket client)"
D: protocol-native.c: Protocol version: remote 15, local 15
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
D: protocol-native.c: SHM possible: yes
D: protocol-native.c: Negotiated SHM: yes
D: module-augment-properties.c: Looking for .desktop file for firefox
I: client.c: Created 11 "EsounD client (UNIX socket client)"
D: protocol-esound.c: read(): EOF
I: client.c: Freed 11 "EsounD client (UNIX socket client)"
Comment 10 Dimi Paun 2009-05-20 12:46:16 EDT
Then I open a youtube video, and this is the output (now I get sound):

I: client.c: Created 12 "Native client (UNIX socket client)"
D: protocol-native.c: Protocol version: remote 15, local 15
I: protocol-native.c: Got credentials: uid=500 gid=500 success=1
D: protocol-native.c: SHM possible: yes
D: protocol-native.c: Negotiated SHM: yes
D: module-augment-properties.c: Looking for .desktop file for firefox
I: module-stream-restore.c: Restoring volume for sink input sink-input-by-application-name:ALSA plug-in [firefox].
I: module-stream-restore.c: Restoring mute state for sink input sink-input-by-application-name:ALSA plug-in [firefox].
D: reserve-wrap.c: Successfully acquired reservation lock on device 'Audio0'
I: alsa-sink.c: Trying resume...
D: alsa-util.c: Maximum hw buffer size is 23777 ms
D: alsa-sink.c: hwbuf_unused=0
D: alsa-sink.c: setting avail_min=87310
I: alsa-sink.c: Resumed successfully...
I: alsa-sink.c: Starting playback.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_sound_card_0 becomes idle.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: module-suspend-on-idle.c: Sink alsa_output.pci_8086_284b_sound_card_0 becomes busy.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: memblockq.c: memblockq requested: maxlength=33554432, tlength=0, base=4, prebuf=0, minreq=1 maxrewind=0
D: memblockq.c: memblockq sanitized: maxlength=33554432, tlength=33554432, base=4, prebuf=0, minreq=4 maxrewind=0
I: sink-input.c: Created input 6 "ALSA Playback" on alsa_output.pci_8086_284b_sound_card_0 with sample spec s16le 2ch 44100Hz and channel map front-left,front-right
I: protocol-native.c: Requested tlength=500.00 ms, minreq=20.00 ms
D: protocol-native.c: Early requests mode enabled, configuring sink latency to minreq.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: memblockq.c: memblockq requested: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0
D: memblockq.c: memblockq sanitized: maxlength=4194304, tlength=88200, base=4, prebuf=84672, minreq=3528 maxrewind=0
I: protocol-native.c: Final latency 520.00 ms = 460.00 ms + 2*20.00 ms + 20.00 ms
D: alsa-sink.c: Requested volume: 0: 100% 1: 100%
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100%
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100%
D: alsa-sink.c: Cutting sleep time for the initial iterations by half.
D: alsa-sink.c: Latency set to 20.00ms
D: alsa-sink.c: hwbuf_unused=349240
D: alsa-sink.c: setting avail_min=87752
D: alsa-sink.c: Requesting rewind due to latency change.
D: alsa-sink.c: Requested to rewind 352768 bytes.
D: alsa-sink.c: Limited to 349404 bytes.
D: alsa-sink.c: before: 87351
D: alsa-sink.c: after: 87351
D: alsa-sink.c: Rewound 349404 bytes.
D: sink.c: Processing rewind...
D: sink-input.c: Have to rewind 349404 bytes on render memblockq.
D: source.c: Processing rewind...
D: core-subscribe.c: Dropped redundant event due to change event.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
D: protocol-native.c: Requesting rewind due to end of underrun.
I: alsa-sink.c: Underrun!
N: alsa-sink.c: Increasing minimal latency to 1.00 ms
D: alsa-sink.c: Latency set to 20.00ms
D: alsa-sink.c: hwbuf_unused=349240
D: alsa-sink.c: setting avail_min=87752
D: alsa-sink.c: Latency set to 20.00ms
D: alsa-sink.c: hwbuf_unused=349240
D: alsa-sink.c: setting avail_min=87752
I: alsa-sink.c: Underrun!
N: alsa-sink.c: Increasing minimal latency to 2.00 ms
D: alsa-sink.c: Latency set to 20.00ms
D: alsa-sink.c: hwbuf_unused=349240
D: alsa-sink.c: setting avail_min=87752
D: alsa-sink.c: Latency set to 20.00ms
D: alsa-sink.c: hwbuf_unused=349240
D: alsa-sink.c: setting avail_min=87752
I: alsa-sink.c: Underrun!
N: alsa-sink.c: Increasing minimal latency to 4.00 ms
D: alsa-sink.c: Latency set to 20.00ms
D: alsa-sink.c: hwbuf_unused=349240
D: alsa-sink.c: setting avail_min=87752
D: alsa-sink.c: Latency set to 20.00ms
D: alsa-sink.c: hwbuf_unused=349240
D: alsa-sink.c: setting avail_min=87752
I: alsa-sink.c: Underrun!
N: alsa-sink.c: Increasing minimal latency to 8.00 ms
D: alsa-sink.c: Latency set to 20.00ms
D: alsa-sink.c: hwbuf_unused=349240
D: alsa-sink.c: setting avail_min=87752
D: alsa-sink.c: Latency set to 20.00ms
D: alsa-sink.c: hwbuf_unused=349240
D: alsa-sink.c: setting avail_min=87752
I: alsa-sink.c: Underrun!
N: alsa-sink.c: Increasing minimal latency to 16.00 ms
D: alsa-sink.c: Latency set to 20.00ms
D: alsa-sink.c: hwbuf_unused=349240
D: alsa-sink.c: setting avail_min=87752
D: alsa-sink.c: Latency set to 20.00ms
D: alsa-sink.c: hwbuf_unused=349240
D: alsa-sink.c: setting avail_min=87752
I: alsa-sink.c: Underrun!
N: alsa-sink.c: Increasing minimal latency to 26.00 ms
D: alsa-sink.c: Latency set to 26.00ms
D: alsa-sink.c: hwbuf_unused=348184
D: alsa-sink.c: setting avail_min=87752
D: alsa-sink.c: Latency set to 26.00ms
D: alsa-sink.c: hwbuf_unused=348184
D: alsa-sink.c: setting avail_min=87752
I: alsa-sink.c: Underrun!
N: alsa-sink.c: Increasing wakeup watermark to 15.99 ms
I: alsa-sink.c: Underrun!
N: alsa-sink.c: Increasing minimal latency to 36.00 ms
D: alsa-sink.c: Latency set to 36.00ms
D: alsa-sink.c: hwbuf_unused=346420
D: alsa-sink.c: setting avail_min=87488
D: alsa-sink.c: Latency set to 36.00ms
D: alsa-sink.c: hwbuf_unused=346420
D: alsa-sink.c: setting avail_min=87488
I: alsa-sink.c: Underrun!
N: alsa-sink.c: Increasing wakeup watermark to 25.99 ms
I: alsa-sink.c: Underrun!
N: alsa-sink.c: Increasing minimal latency to 46.00 ms
D: alsa-sink.c: Latency set to 46.00ms
D: alsa-sink.c: hwbuf_unused=344656
D: alsa-sink.c: setting avail_min=87047
D: alsa-sink.c: Latency set to 46.00ms
D: alsa-sink.c: hwbuf_unused=344656
D: alsa-sink.c: setting avail_min=87047
D: alsa-sink.c: Wakeup from ALSA!
D: alsa-sink.c: Wakeup from ALSA!
Comment 11 Lennart Poettering 2009-05-20 14:00:55 EDT
These are all issues with Flash? Please, could you reproduce this with software we actually ship? And report bugs in Flash to Adobe?

You umentioned PA crashes. None of your outputs show that. Could you please get me the output from one of those regular crashes?
Comment 12 Bug Zapper 2009-06-09 12:00:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Lennart Poettering 2009-07-27 19:12:21 EDT
Closing due to lack of response to needinfo request.

Note You need to log in before you can comment on or make changes to this bug.